%define ocamlname cppo_ocamlbuild

Name:           ocaml-%{ocamlname}
Version:        1.6.0
Release:        1%{?dist}.emp1
Summary:        ocamlbuild support for cppo, OCaml-friendly source preprocessor
License:        Apache-2.0
URL:            http://mjambon.com/cppo.html
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:       ocaml
Requires:	ocaml-cppo

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml
BuildRequires:  jbuilder
BuildRequires:	ocaml-cppo

%description
ocamlbuild support for cppo, OCaml-friendly source preprocessor

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cppo-%{version}

%build
jbuilder subst
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
